CustomRegion Class Reference

Custom geographical/economic region. More...

`#include <ql/indexes/region.hpp>`

Inheritance diagram for CustomRegion:
[legend]

## Public Member Functions

| CustomRegion (const std::string &name, const std::string &code)
Public Member Functions inherited from Region
const std::string & | name () const
const std::string & | code () const

## Additional Inherited Members

Protected Attributes inherited from Region
boost::shared_ptr< Data > | data_
Related Functions inherited from Region
bool | operator== (const Region &, const Region &)
bool | operator!= (const Region &, const Region &)

## Detailed Description

Custom geographical/economic region.

This class allows one to create an instance of a particular region without having to define and compile a corresponding class.